[package]
name = "ec-node"
version = "0.0.0"
edition.workspace = true
license.workspace = true

[dependencies]
anyhow.workspace = true
blake3.workspace = true
clap.workspace = true
ec-core = { path = "../ec-core" }
ec-crypto = { path = "../ec-crypto" }
ec-direct = { path = "../ec-direct" }
ec-moq = { path = "../ec-moq" }
ec-chopper = { path = "../ec-chopper" }
ec-eth = { path = "../ec-eth" }
ec-hdhomerun = { path = "../ec-hdhomerun" }
ec-iroh = { path = "../ec-iroh" }
ec-linux-iptv = { path = "../ec-linux-iptv" }
ec-ts = { path = "../ec-ts" }
hex = "0.4"
iroh = "0.96"
just-webrtc = "0.2"
bytes = "1"
quinn = "0.11.9"
reqwest = { version = "0.12", default-features = false, features = ["json", "rustls-tls"] }
rustls = "0.23.36"
rustls-native-certs = "0.8.3"
urlencoding = "2"
serde.workspace = true
serde_json.workspace = true
tokio = { version = "1", features = ["full"] }
tokio-tungstenite = { version = "0.24", default-features = false, features = ["connect", "rustls-tls-webpki-roots"] }
futures-util = "0.3"
tracing.workspace = true
tracing-subscriber.workspace = true
web-transport-quinn = "0.11.4"
web-transport-trait = "0.3.3"
hang = "0.14.0"
moq-mux = "0.2.1"
moq-lite = "0.14.0"
moq-native = { version = "0.13.1", default-features = true }
headless_chrome = "1"
tokio-util = "0.7"
url = "2"

[dev-dependencies]
which = "6"
